
/* Chrysalide - Outil d'analyse de fichiers binaires
 * match-int.h - prototypes internes pour la sauvegarde d'une correspondance identifiée de motif
 *
 * Copyright (C) 2022 Cyrille Bagard
 *
 *  This file is part of Chrysalide.
 *
 *  Chrysalide is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Chrysalide is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
 */


#ifndef _ANALYSIS_SCAN_MATCH_INT_H
#define _ANALYSIS_SCAN_MATCH_INT_H


#include "match.h"



/* Affiche une correspondance sur la sortie standard. */
typedef void (* display_scan_match_fc) (const GScanMatch *);


/* Correspondance trouvée avec un motif (instance) */
struct _GScanMatch
{
    GObject parent;                         /* A laisser en premier        */

    GSearchPattern *source;                 /* Motif d'origine recherché   */

};

/* Correspondance trouvée avec un motif (classe) */
struct _GScanMatchClass
{
    GObjectClass parent;                    /* A laisser en premier        */

    display_scan_match_fc display;          /* Impression des résultats    */

};



#endif  /* _ANALYSIS_SCAN_MATCH_INT_H */
